## linthesia 0.0.0-0

=== meson_options.txt ===
option('graphdir', type: 'string', value: '', description: 'graph dir path')
option('musicdir', type: 'string', value: '', description: 'music dir path')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default')

=== debian/changelog ===
linthesia (0.0.0-0) unstable; urgency=medium

  * wip: https://purl.org/rzr

 -- Philippe Coval <rzr@users.sf.net>  Thu, 07 Dec 2023 20:15:33 +0100

linthesia (0.4-1) unstable; urgency=low

  * New upstream release.
  * Non-maintainer commit.
  *  (Closes: #2920321).

 -- Oscar Aceña <oscaracena@gmail.com>  Tue, 29 Dec 2009 17:19:38 +0100

linthesia (0.3-2) unstable; urgency=low

  * New upstream release
  * Non-maintainer commit.
  *  (Closes: #2920683).

 -- Oscar Aceña <oscaracena@gmail.com>  Sat, 26 Dec 2009 14:06:28 +0100

linthesia (0.3-1) unstable; urgency=low

  * New upstream release

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Thu, 24 Dec 2009 14:38:10 +0100

linthesia (0.1-1) unstable; urgency=low

  * Initial release (Closes: #562487)

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Fri, 18 Dec 2009 13:49:36 +0100

=== debian/control ===
Source: linthesia
Section: games
Priority: extra
Maintainer: Cleto Martin Angelina <cleto.martin@gmail.com>
Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libglibmm-2.4-dev,
 libgtkglextmm-x11-1.2-dev, libasound2-dev, docbook-xsl, xsltproc, 
Standards-Version: 3.8.3
Homepage: https://sourceforge.net/projects/linthesia/

Package: linthesia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fork of Synthesia to GNU/Linux
 Synthesia is a software which teaches you to play piano using
 piano-roll-style falling notes with any MIDI file, available under
 Windows and Mac.

Package: linthesia-snapshot
Architecture: all
Section: utils
Depends: ${misc:Depends}, linthesia (= ${source:Version})
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade linthesia

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
SRC     = src
VERSION = $(shell grep LinthesiaVersionString $(SRC)/Version.h | cut -f 6 -d " " | tr -d \"\;)

%:
	dh  $@ --build-system=meson

override_dh_auto_build:
	xsltproc -o debian/linthesia.6 --param man.charmap.use.subset "0" --novalid --nonet $(DB2MAN) debian/linthesia.xml

override_dh_install:
	cp extra/linthesia.desktop debian/linthesia/usr/share/applications

build-orig-source:
	mkdir -p linthesia-$(VERSION)
	tar --exclude=debian --exclude=\*~ --exclude=.svn --exclude=\*.pyc \
		--exclude=linthesia-$(VERSION) -cf - . \
		| ( cd linthesia-$(VERSION) && tar xf - )
	tar -czf ../tarballs/linthesia_$(VERSION).orig.tar.gz linthesia-$(VERSION)
	$(RM) -r linthesia-$(VERSION)

## linthesia 0.4.2

=== debian/changelog ===
linthesia (0.4.2-6) unstable; urgency=low

  * Adding new missing dependency. Bug fix: "FTBFS: OSGraphics.h:15:19:
    fatal error: gtkmm.h: No such file or directory", thanks to David
    Suárez (Closes: #713522).
  * Updating debian/copyright

 -- Cleto Martín <cleto@debian.org>  Sun, 04 Aug 2013 08:43:06 +0100

linthesia (0.4.2-5) unstable; urgency=low

  * Bug fix: "fails to open", thanks to oscar rodriguez (Closes: #660807).
    + Using 'courier 12' as default font (patched added).
  * Update description and mantainer fields of debian/control.
  * Added debian/README.Debian.
  * Updated for using debhelper 9.
  * Removed useless debian/dirs file (debian/install instead).
  * Updated debian/copyright format.

 -- Cleto Martín <cleto@debian.org>  Tue, 04 Sep 2012 19:50:03 +0200

linthesia (0.4.2-4) unstable; urgency=low

  * Bug fix: "fails to open", thanks to oscar rodriguez (Closes: #660807).

 -- Cleto Martín <cleto.martin@gmail.com>  Mon, 26 Mar 2012 18:48:09 +0200

linthesia (0.4.2-3) unstable; urgency=low

  * Bug fix: "FTBFS with ld --as-needed", thanks to Ilya Barygin (Closes:
    #631710).

 -- Cleto Martín <cleto.martin@gmail.com>  Thu, 24 Nov 2011 22:18:25 +0100

linthesia (0.4.2-2) unstable; urgency=low

  * Bug fix: "Does not work when unsigned long is not 4
    bytes", thanks to Dave Wong (Closes: #627017).
  * Adding optimizations at compiling flags.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Wed, 08 Jun 2011 00:36:57 +0200

linthesia (0.4.2-1) unstable; urgency=low

  * New Upstream release (Closes: #597189).
  * 3.9.1 policy version adaptation.
  * Bug fix: "libpango error in linthesia", thanks to Roy Jamison (Closes:
    #600855).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Wed, 20 Oct 2010 21:06:30 +0200

=== debian/control ===
Source: linthesia
Section: games
Priority: extra
Maintainer: Cleto Martín <cleto@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-exec (>= 0.3),
	       dpkg-dev (>= 1.16.1~),
 	       libgtkmm-2.4-dev,
	       libgconfmm-2.6-dev,
 	       libgtkglextmm-x11-1.2-dev,
	       libasound2-dev,
	       libpangox-1.0-dev,
	       xsltproc (>= 1.1.24),
 	       docbook-xsl (>= 1.75.2)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/linthesia/

Package: linthesia
Architecture: any
Recommends: timidity
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fork of Synthesia to GNU/Linux
 Synthesia is a software which teaches you to play piano using
 piano-roll-style falling notes with any MIDI file. You can choose
 more level
 .
 You can practice using an external MIDI piano keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_OPTIONS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
VERSION = $(shell grep LinthesiaVersionString src/Version.h | cut -f 6 -d " " | tr -d \"\;)

%:
	dh  $@

override_dh_auto_build: debian/linthesia.6
	$(MAKE) GRAPHDIR=/usr/share/linthesia/graphics

debian/linthesia.6:
	xsltproc -o $@ --param man.charmap.use.subset "0" --novalid --nonet $(DB2MAN) debian/linthesia.xml

override_dh_auto_clean:
	$(RM) debian/linthesia.6
	dh_auto_clean

build-orig-source:
	mkdir -p linthesia-$(VERSION)
	tar --exclude=debian --exclude=music --exclude=\*~ --exclude=.svn --exclude=\*.pyc \
		--exclude=linthesia-$(VERSION) -cf - . \
		| ( cd linthesia-$(VERSION) && tar xf - )
	tar -czf ../linthesia_$(VERSION).orig.tar.gz linthesia-$(VERSION)
	$(RM) -r linthesia-$(VERSION)

## linthesia 0.4.3

=== Makefile ===
# -*- mode: makefile-gmake; coding: utf-8 -*-

all:
	$(MAKE) -C src/libmidi all
	$(MAKE) -C src all

install:
	$(MAKE) -C src install
	-mkdir -p $(DESTDIR)/usr/share/linthesia/graphics
	install -m 644 graphics/*.tga graphics/*.ico $(DESTDIR)/usr/share/linthesia/graphics

.PHONY:clean
clean:
	$(MAKE) -C src/libmidi clean
	$(MAKE) -C src clean

=== src/Makefile ===
# -*- mode: makefile-gmake; coding: utf-8 -*-

GRAPHDIR?=../graphics

CXX = g++
CXXFLAGS =  -I . -I libmidi -ggdb -Wall -ansi
CXXFLAGS += `pkg-config --cflags gtkmm-2.4 gconfmm-2.6 gtkglextmm-1.2 alsa` -DGRAPHDIR="\"$(GRAPHDIR)\""
LDFLAGS = `pkg-config --libs gtkmm-2.4 gconfmm-2.6 gtkglextmm-1.2 alsa`
TARGET = linthesia

all: $(TARGET)

$(TARGET): main.o LinthesiaError.o UserSettings.o \
	CompatibleSystem.o FileSelector.o Renderer.o \
	Tga.o GameState.o TitleState.o TextWriter.o \
	MenuLayout.o DeviceTile.o StringTile.o MidiComm.o \
	TrackSelectionState.o TrackTile.o PlayingState.o \
	StatsState.o KeyboardDisplay.o libmidi/libmidi.a
	$(CXX) $(LDFLAGS) -o $@ $^

libmidi/libmidi.a:
	$(MAKE) -C libmidi

install: all
	-mkdir -p $(DESTDIR)/usr/games
	install -m 755 $(TARGET) -g root -o root $(DESTDIR)/usr/games/

.PHONY:clean
clean:
	find . -name "*.o" -delete
	find . -name "*~" -delete
	$(RM) $(TARGET)

=== src/libmidi/Makefile ===
# -*- mode: makefile-gmake; coding: utf-8 -*-

CXX = g++
CXXFLAGS = -I . -I .. -ansi -Wall
TARGET = libmidi.a

all: $(TARGET)

$(TARGET): Midi.o MidiUtil.o MidiTrack.o MidiEvent.o
	ar rcs $@ $^

.PHONY:clean
clean:
	find . -name "*.o" -delete
	find . -name "*~" -delete
	$(RM) $(TARGET)

=== debian/changelog ===
linthesia (0.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Bug fix: "Crash when opening any MIDI file", thanks to Pierre Rudloff
    (Closes: #719288).
  * Bug fix: "please provide a desktop and menu file and icons", thanks to
    Markus Koschany (Closes: #737964).

 -- Cleto Martín <cleto@debian.org>  Thu, 31 Jul 2014 21:41:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	       libpangox-1.0-dev,
 	       xsltproc (>= 1.1.24),
  	       docbook-xsl (>= 1.75.2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/linthesia/
 
 Package: linthesia

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,9 @@
 
 build-orig-source:
 	mkdir -p linthesia-$(VERSION)
-	tar --exclude=debian --exclude=music --exclude=\*~ --exclude=.svn --exclude=\*.pyc \
+	tar --exclude=debian --exclude=\*~ --exclude=.svn --exclude=\*.pyc \
 		--exclude=linthesia-$(VERSION) -cf - . \
 		| ( cd linthesia-$(VERSION) && tar xf - )
-	tar -czf ../linthesia_$(VERSION).orig.tar.gz linthesia-$(VERSION)
+	tar -cf ../linthesia_$(VERSION).orig.tar linthesia-$(VERSION)
+	xz ../linthesia_$(VERSION).orig.tar
 	$(RM) -r linthesia-$(VERSION)
